## websocket-client 1.7.0

=== docs/source/requirements.txt ===
Sphinx>=3.4
sphinx_rtd_theme>=0.5

## websocket-client 0.12.0

=== debian/changelog ===
websocket-client (0.12.0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 08 Jan 2014 21:59:22 +0100

websocket-client (0.12.0-1) unstable; urgency=medium

  * Initial release. (Closes: #727759)

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 21 Dec 2013 21:32:31 +0100

=== debian/control ===
Source: websocket-client
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends:
 debhelper (>= 9),
 python-all (>= 2.6.6-3~),
 python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: https://github.com/liris/websocket-client
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/websocket-client/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/websocket-client/trunk

Package: python-websocket
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: WebSocket client library for python
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS = $(shell pyversions -vr)

export http_proxy = http://127.0.9.1:9
export https_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2

override_dh_install:
	mv $(CURDIR)/debian/python-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python-websocket/usr/bin/wsdump
	dh_install

## websocket-client 0.18.0

=== debian/changelog ===
websocket-client (0.18.0-2) unstable; urgency=medium

  * Team upload.
  * Do not ship tests module in python3-websocket binary package either
    (Closes: #767400)
    - Thanks to Teemu Hukkanen for the patch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Nov 2014 00:50:57 -0500

websocket-client (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Barry Warsaw <barry@debian.org>  Thu, 25 Sep 2014 09:40:28 -0400

websocket-client (0.16.0a-2) unstable; urgency=medium

  * Team upload.
  * Add python3-websocket binary package. (Closes: #749943)
  * d/control: wrap-and-sort

 -- Barry Warsaw <barry@debian.org>  Wed, 20 Aug 2014 17:01:51 -0400

websocket-client (0.16.0a-1) unstable; urgency=medium

  * New upstream release
    - Include the test-suite and run it at build-time (Closes: #741606, #744726)
  * Switch buildsystem to pybuild
  * Update copyright file
  * Do not ship the tests module in the binary

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 15 Aug 2014 23:51:19 +0200

=== debian/control ===
Source: websocket-client
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-backports.ssl-match-hostname,
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: https://github.com/liris/websocket-client
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/websocket-client/trunk/
Vcs-Browser: http://anonscm.debian.org/viewsvn/python-modules/packages/websocket-client/trunk

Package: python-websocket
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: WebSocket client library for Python
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This is the Python 2 version.

Package: python3-websocket
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: WebSocket client library for Python
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=websocket

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	mv $(CURDIR)/debian/python-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python-websocket/usr/bin/wsdump
	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/wsdump3
	dh_install

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/w/websocket-client/websocket-client-(.+).tar.gz

## websocket-client 0.37.0

=== debian/changelog ===
websocket-client (0.37.0-2ubuntu1) artful; urgency=medium

  * d/watch: Update for new upstream tarball naming.
  * d/*.postinst: Prefer Python 3 version if both versions installed.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Jul 2017 12:02:14 +0100

websocket-client (0.37.0-2) unstable; urgency=medium

  * Add patch:
    - 0001-Use-debian-global-ca-cert-store-instead-of-local-mozilla-copy

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Sep 2016 15:45:45 +0000

websocket-client (0.37.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Thomas Goirand ]
  * New upstream release (Closes: #810088)
  * Removed now useless version in python-all build-depends.
  * Removed useless X-Python{3,}-Version headers.
  * Standards-Version is now 3.9.8 (no change).
  * Fixed duplicate short desc.
  * Using update-alternatives to manage /usr/bin/wsdump.
  * Add myself as uploader.
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 22:54:11 +0200

=== debian/control ===
Source: websocket-client
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-backports.ssl-match-hostname,
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-six,
Standards-Version: 3.9.8
Homepage: https://github.com/liris/websocket-client
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/websocket-client.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/websocket-client.git

Package: python-websocket
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: WebSocket client library - Python 2.7
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This package provides the Python 2.7 version.

Package: python3-websocket
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: WebSocket client library - Python 3.x
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This package provides the Python 3.x version.

## websocket-client 0.44.0

=== debian/changelog ===
websocket-client (0.44.0-0ubuntu2) artful; urgency=medium

  * d/control,d/p/backports.ssl-match-hostname-disable.patch: Drop
    requirement for backports.ssl-match-hostname as Python 2.7 across
    all Ubuntu releases already has this behaviour and should be
    considered secure.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Jul 2017 14:12:33 +0100

websocket-client (0.44.0-0ubuntu1) artful; urgency=medium

  * New upstream release
  * d/p/3.5-compat.patch: Pick proposed fix for deterministic CookieJar
    behaviour under Python 3.5.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Jul 2017 12:21:30 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-backports.ssl-match-hostname,
                python-setuptools,
                python-six,
                python3-all,

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/w/websocket-client/websocket_client-(.+).tar.gz

## websocket-client 0.48.0

=== debian/changelog ===
websocket-client (0.48.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Alexander GQ Gerasiov ]
  * New upstream release.
  * 0001-Use-debian-global-ca-cert-store-instead-of-local-mozilla-copy removed:
    fixed upstream.
  * Remove postrm scripts: update-alternative --remove is called from prerm.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 10 Jul 2018 17:24:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: websocket-client
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
+               python-backports.ssl-match-hostname,
                python-setuptools,
                python-six,
                python3-all,
@@ -15,8 +15,8 @@
                python3-six,
 Standards-Version: 3.9.8
 Homepage: https://github.com/liris/websocket-client
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/websocket-client.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/websocket-client.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/websocket-client.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/websocket-client
 
 Package: python-websocket
 Architecture: all

## websocket-client 0.53.0

=== debian/changelog ===
websocket-client (0.53.0-2ubuntu1) focal; urgency=medium

  * Re-add the Python2 module for python-juju-client.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 19:09:19 +0100

websocket-client (0.53.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Christoph Berg ]
  * New upstream version.
  * Remove python-backports.ssl-match-hostname dependency. (Closes: #909973)

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 01 Oct 2018 10:54:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-backports.ssl-match-hostname,
                python-setuptools,
                python-six,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=websocket

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	mv $(CURDIR)/debian/python-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python-websocket/usr/bin/python2-wsdump
	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/python3-wsdump
	dh_install

=== debian/watch ===
version=4
https://pypi.debian.net/websocket-client/websocket[-_]client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## websocket-client 0.57.0

=== debian/changelog ===
websocket-client (0.57.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * New upstream version 0.57.0 (Closes: #960535)
  * Upstream license changes to BSD-3-clause
  * Update debian/copyright: remove useless entry
  * Add missing description of patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Jul 2020 14:29:29 +0200

websocket-client (0.53.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938814
  * Bump Standards-Version to 4.4.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2019 16:56:44 -0400

=== debian/control ===
Source: websocket-client
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six,
Standards-Version: 4.5.0
Homepage: https://github.com/liris/websocket-client
Vcs-Git: https://salsa.debian.org/python-team/modules/websocket-client.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/websocket-client

Package: python3-websocket
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: WebSocket client library - Python 3.x
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This package provides the Python 3.x version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=websocket

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/python3-wsdump
	dh_install

=== debian/watch ===
version=4
https://pypi.debian.net/websocket_client/websocket[-_]client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## websocket-client 1.2.1

=== debian/changelog ===
websocket-client (1.2.1-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 10 Nov 2021 10:15:12 +0000

websocket-client (1.2.1-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Emmanuel Arias ]
  * d/watch: fix file to point correctly to the download link.
  * New upstream version 1.2.1 (Closes: #995796).
  * d/patches: remove no-backports patch. It is not longer need.
  * d/control: bump Standards-Version to 4.6.0.1.
  * wrap-and-sort.
  * d/control: add python3-websocket as Build-Dependency. Used in tests.
  * d/control: build depend on the package that provides the dh addon.
  * d/rules: ignore upstream tests.
    - Ignoring echo-server.py that run forever.
    - Ignoring 'testBadURLs' test that made ws connections.
  * d/control: Remove python3-six as build depends, it's no longer used.
  * d/gbp.conf: set debian/master as default branch to be according to DEP-8.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/python3-websocket.example: package example folder.
  * d/copyright: Update License and Copyright. Upstream changed it.

  [ Jeroen Ploemen ]
  * Control: set Rules-Requires-Root: no.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 19 Oct 2021 08:08:58 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=websocket

export PYBUILD_TEST_ARGS=--ignore websocket/tests/echo-server.py \
	                     --ignore websocket/tests/test_websocket.py \
						 -k 'not testBadURLs'  # try to ws connections.

%:
	dh $@ --with python3 --buildsystem=pybuild --test-pytest

override_dh_install:
	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/python3-wsdump
	dh_install

## websocket-client 1.2.3

=== debian/changelog ===
websocket-client (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Do not move wsdump.py to /usr/bin, and get rid of the update-alternatives.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Feb 2022 09:49:29 +0100

=== debian/control ===
Source: websocket-client
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Nicolas Dandrimont <olasd@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all:any,
 python3-pytest,
 python3-setuptools,
 python3-websockets,
Standards-Version: 4.6.0.1
Homepage: https://github.com/liris/websocket-client
Vcs-Git: https://salsa.debian.org/python-team/packages/websocket-client.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/websocket-client
Rules-Requires-Root: no

Package: python3-websocket
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: WebSocket client library - Python 3.x
 websocket-client provides a low-level, synchronous API providing WebSocket
 client functionality to Python programs. It conforms to the WebSocket
 specification as standardized by the IETF in RFC 6455.
 .
 WebSocket is a protocol providing full-duplex communication channels over
 TCP, mostly used in Web browsers.
 .
 This package provides the Python 3.x version.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,5 @@
 	dh $@ --with python3 --buildsystem=pybuild --test-pytest
 
 override_dh_install:
-	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/python3-wsdump
+#	mv $(CURDIR)/debian/python3-websocket/usr/bin/wsdump.py $(CURDIR)/debian/python3-websocket/usr/bin/python3-wsdump
 	dh_install

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/websocket-client/websocket-client-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## websocket-client 1.7.0

=== debian/changelog ===
websocket-client (1.7.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Apr 2024 14:03:52 +0000

websocket-client (1.7.0-1) unstable; urgency=medium

  * d/watch: switch from pypi tarballs to github tags.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 10:19:51 +0100

## websocket-client 1.8.0

=== docs/source/requirements.txt ===
Sphinx>=6.0
sphinx_rtd_theme>=1.1.0
myst-parser >= 2.0.0

=== debian/changelog ===
websocket-client (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 16:39:20 +0200

websocket-client (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Aug 2024 12:28:02 +0200

=== debian/watch ===
version=4
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/websocket-client/websocket-client/tags .*/v(\d[brc\d\.]+)\.tar\.gz

## websocket-client 1.9.0

=== debian/changelog ===
websocket-client (1.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 17:11:32 +0100
